import module from 'node:module';
export interface InitializeData {
    /**
     * Packed deps will be checked first, and enforced if present, during module resolution.
     * This allows us to consistently use the same module instance even if multiple are installed by the user.
     */
    packedDepsPath?: string;
    /**
     * tsconfig search path for registering tsconfig paths.
     *
     * @default process.env.MESH_INCLUDE_TSCONFIG_SEARCH_PATH || 'tsconfig.json'
     */
    tsconfigSearchPath?: string;
}
export declare const initialize: module.InitializeHook<InitializeData>;
export declare const resolve: module.ResolveHook;
export declare const load: module.LoadHook;
